org.pentaho.reporting.libraries.resourceloader.factory.property

## Class PropertiesResourceFactory

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.factory.property.PropertiesResourceFactory

All Implemented Interfaces:
  ResourceFactory

    public class PropertiesResourceFactory
    extends java.lang.Object
    implements ResourceFactory

### Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceFactory

`CONFIG_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`PropertiesResourceFactory()`

### Method Summary

Methods
`Resource` `create(ResourceManager manager, ResourceData data, ResourceKey context)` Creates a resource by interpreting the data given in the resource-data object.
`java.lang.Class` `getFactoryType()` Returns the expected result type.
`void` `initializeDefaults()` Initializes the resource factory.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertiesResourceFactory

    public PropertiesResourceFactory()

### Method Detail

#### create

    public Resource create(ResourceManager manager,
                  ResourceData data,
                  ResourceKey context)
                    throws ResourceCreationException,
                           ResourceLoadingException

Description copied from interface: `ResourceFactory`
Creates a resource by interpreting the data given in the resource-data object. If additional datastreams need to be parsed, the provided resource manager should be used.

Specified by:
  `create` in interface `ResourceFactory`
Parameters:
  `manager` - the resource manager used for all resource loading.
  `data` - the resource-data from where the binary data is read.
  `context` - the resource context used to resolve relative resource paths.
Returns:
  the parsed result, never null.
Throws:
  `ResourceCreationException` - if the resource could not be parsed due to syntaxctial or logical errors in the data.
  `ResourceLoadingException` - if the resource could not be accessed from the physical storage.

#### getFactoryType

    public java.lang.Class getFactoryType()

Description copied from interface: `ResourceFactory`
Returns the expected result type.

Specified by:
  `getFactoryType` in interface `ResourceFactory`
Returns:
  the result type.

#### initializeDefaults

    public void initializeDefaults()

Description copied from interface: `ResourceFactory`
Initializes the resource factory. This usually loads all system resources from the environment and maybe sets up and initializes any factories needed during the parsing.

Specified by:
  `initializeDefaults` in interface `ResourceFactory`